package ensembles;

public class EnsembleTriListe2<E extends Comparable<E>> extends EnsembleTriGenerique<E>
{
	public EnsembleTriListe2()
	{
		ensemble = new EnsembleListe<E>();
	}
	
	public EnsembleTriListe2(Ensemble<E> autre)
	{
		ensemble = new EnsembleListe<E>();
		for (E elt : autre)
			ajout(elt);	
	}
	

	@Override
	public boolean insererAuRang(E element, int rang) 
	{
		if (rang < 0) return false;
		if (rang > cardinal()) return false;
		
		EnsembleTriListe<E> nouvEns = new EnsembleTriListe<E>();
		if (rang == 0)
			nouvEns.ajout(element);
		
		int count = 0;
		for (E elt : this)
		{
			if (count == rang-1)
			{
				nouvEns.ajout(element);
				nouvEns.ajout(elt);
			} 
			else
			{
				nouvEns.ajout(elt);
				count++;
			}	
		}
		
		ensemble = nouvEns;
		
		return false;
	}
}
